from Apifon.sdk.Model.PaginatedResponse import PaginatedResponse
from Apifon.sdk.Response.BounceResponse import BounceResponse
from Apifon.sdk.Response.ListResponse import ListResponse
from Apifon.sdk.Response.SubscriberResponse import SubscriberResponse


class CollectionEntityResponse(PaginatedResponse):
    def __init__(self, array_response=None, type_=None):
        super().__init__(array_response)
        self.results = []
        self.assign_response(array_response, type_)

    def assign_response(self, array_response, type_):
        if array_response is not None:
            if 'results' in array_response:
                if type_ == 'list':
                    for result in array_response['results']:
                        self.results.append(ListResponse(result))
                if type_ == "subscribers":
                    for result in array_response['results']:
                        self.results.append(SubscriberResponse(result))
                if type_ == "bounce":
                    for result in array_response['results']:
                        self.results.append(BounceResponse(result))
