from enum import Enum


class BounceReason(Enum):
    other = "other"
    not_delivering = "not_delivering"
    sub_deleted = "sub_deleted"
    sub_requested = "sub_requested"
    sub_invalid = "sub_invalid"

    def __init__(self, ckeckValue):
        self.ckeckValue = ckeckValue

    def get_value(self):
        return self.ckeckValue

    @staticmethod
    def parse_from_string(value):

        for data in BounceReason:
            if value == data.value:
                return data.value

        return BounceReason.other.value

    @staticmethod
    def has_value(value):
        return value in [item.value for item in BounceReason]
