from enum import Enum


class FormCategory(Enum):
    subscribe_mobile = "SUBSCRIBE_MOBILE"
    subscribe_email = "SUBSCRIBE_EMAIL"
    unsubscribe_mobile = "UNSUBSCRIBE_MOBILE"
    unsubscribe_email = "UNSUBSCRIBE_EMAIL"

    @staticmethod
    def has_value(value):
        return value in [item.value for item in FormCategory]
