from enum import Enum


class SubscriberFieldDateFormat(Enum):
    dd_mm_yy = "dd_mm_yy"
    yyyy_mm_dd = "yy-MM-dd"
    mm_dd_yyyy = "MM-dd-yy"
    slash_dd_mm_yyyy = "dd/MM/yy"
    slash_yyyy_mm_dd = "yy/MM/dd"
    slash_mm_dd_yyyy = "MM/dd/yy"

    def __init__(self, ckeckValue):
        self.ckeckValue = ckeckValue

    def get_value(self):
        return self.ckeckValue

    @staticmethod
    def has_value(value):
        return value in [item.value for item in SubscriberFieldDateFormat]

    @staticmethod
    def parse_from_string(value):

        for data in SubscriberFieldDateFormat:
            if value == data.value:
                return data.value

        raise TypeError("Value " + str(value) + " is not a valid SubscriberFieldDateFormat")

    @staticmethod
    def has_value(value):
        return value in [item.value for item in SubscriberFieldDateFormat]
