from Apifon.sdk.Resource.AbstractResource import AbstractResource
from Apifon.sdk.Response.OtpResponse import OtpResponse
from Apifon.sdk.Response.OtpVerifyResponse import OtpVerifyResponse


class OTPResource(AbstractResource):

    def __init__(self, endpoint="/services/otp"):
        super().__init__(endpoint)

    def create(self, request):
        self.cur_method = "POST"
        self.cur_endpoint = self.endpoint + "/create"
        if isinstance(request, str):
            self.cur_body = request
        else:
            self.cur_body = request.get_create_body()
        return OtpResponse(self.dispatch())

    def verify(self, reference, code):
        self.cur_method = "POST"
        self.cur_endpoint = self.endpoint + "/verify/" + reference + "/" + code
        self.cur_body = None
        return OtpVerifyResponse(self.dispatch())
