from abc import ABCMeta


class AbstractRequest(metaclass=ABCMeta):

    def get_body(self):
        raise NotImplementedError

    def get_create_body(self):
        raise NotImplementedError

    def get_read_body(self):
        raise NotImplementedError

    def get_update_body(self):
        raise NotImplementedError

    def get_delete_body(self):
        raise NotImplementedError
