from Apifon.sdk.Resource.Helpers.DeviceTarget import DeviceTarget

class IMChannel:

    def __init__(self):
        self.id = None
        self.sender_id = None
        self.text = None
        self.images = []
        self.actions = []
        self.ttl = None
        self.expiry_text = None
        self.device_target = None


    def add_image(self, image):
        self.images.append(image)

    def add_action(self, action):
        self.actions.append(action)

    def add_device_target(self, device_target_):
        if device_target_ is None or not DeviceTarget.has_value(device_target_):
           raise TypeError("Invalid Device Target. Should be of type DeviceTarget.value")

        self.device_target = device_target_
