from Apifon.sdk.Model.SubscribersViewRequest import SubscribersViewRequest
import json


class SmsRequest(SubscribersViewRequest):

    def __init__(self):
        super().__init__()
        self.reference_id = None
        self.message = None
        self.callback_url = None
        self.tte = None
        self.date = None

    def remove_nones(self, var):
        for i in list(var):
            if not var[i]:
                var.pop(i)
            elif type(var[i]) is dict:
                self.remove_nones(var[i])
            elif type(var[i]) is list:
                var[i] = [x for x in var[i] if x != 20]
                for j in var[i]:
                    if type(j) is dict:
                        self.remove_nones(j)

    def get_body(self):
        json_string = json.dumps(self, default=lambda o: o.__dict__)
        json_dict = json.loads(json_string)
        self.remove_nones(json_dict)
        json_string = json.dumps(json_dict)
        return json_string

    def get_create_body(self):
        raise NotImplementedError

    def get_read_body(self):
        raise NotImplementedError

    def get_update_body(self):
        raise NotImplementedError

    def get_delete_body(self):
        raise NotImplementedError

