from abc import ABCMeta, abstractmethod
from Apifon.sdk.Model.AbstractRequest import AbstractRequest
from Apifon.sdk.Model.SubscriberInformation import SubscriberInformation


class SubscribersViewRequest(AbstractRequest, metaclass=ABCMeta):

    @abstractmethod
    def __init__(self):
        self.subscribers = []

    def get_body(self):
        raise NotImplementedError

    def get_create_body(self):
        raise NotImplementedError

    def get_read_body(self):
        raise NotImplementedError

    def get_update_body(self):
        raise NotImplementedError

    def get_delete_body(self):
        raise NotImplementedError

    def add_str_subscribers(self, number):
        if type(number) is list:
            for i in number:
                sub = SubscriberInformation()
                sub.number = i
                self.subscribers.append(sub)
        else:
            sub = SubscriberInformation()
            sub.number = number
            self.subscribers.append(sub)

    def add_subscribers(self, number):
        if type(number) is list:
            for i in number:
                self.subscribers.append(i)
        else:
            self.subscribers.append(number)