from enum import Enum


class ConditionOperator(Enum):
    eq = "eq"
    beginsWith = "beginsWith"
    gte = "gte"
    gt = "gt"
    lte = "lte"
    lt = "lt"
    exists = "exists"
    nexists = "nexists"

    @staticmethod
    def has_value(value):
        return value in [item.value for item in ConditionOperator]
