from enum import Enum

class DeviceTarget(Enum):
    SMARTPHONE_ONLY = "SMARTPHONE_ONLY"
    SMARTPHONE_AND_OTHER_DEVICES = "SMARTPHONE_AND_OTHER_DEVICES"

    @staticmethod
    def has_value(value):
        return value in [item.value for item in DeviceTarget]
