import enum


class ListStatus(enum.Enum):
    idle = "IDLE"
    updating = "UPDATING"
    corrupted = "CORRUPTED"

    @staticmethod
    def has_value(value):
        return value in [item.value for item in ListStatus]
