from abc import ABCMeta, abstractmethod


class UriLocator(metaclass=ABCMeta):

    @abstractmethod
    def get_by_resource_uri(self, resource_uri):  # throws apifon rest exception
        pass

    @abstractmethod
    def get_list_by_resource_uri(self, resource_uri):  # throws apifon rest exception
        pass
