

class ApiErrorResponse:

    def __init__(self, array_values = None):
        self.status = ''
        self.title = ''
        self.error_details = {}
        self.error_report_code = ''
        self.assign_response(array_values)

    def assign_response(self, response):
        if response is not None:
            if 'status' in response:
                self.status = response['status']
            if 'title' in response:
                self.title = response['title']
            if 'error_details' in response and bool(response['error_details']):
                for k, v in response['error_details'].items():
                    self.error_details[k] = v
            if 'error_report_code' in response:
                self.error_report_code = response['error_report_code']

    @staticmethod
    def get_oauth_token_response():
        apiErrorResponse = ApiErrorResponse()
        apiErrorResponse.status = 401
        apiErrorResponse.title = "unauthorised"
        return apiErrorResponse
