from Apifon.sdk.Response.SubgroupResponse import SubgroupResponse


class GroupResponse:
    def __init__(self, array_values):
        self.name = None
        self.field = None
        self.type = None
        self.internal = None
        self.selectionType = None
        self.options = []
        self.groupOptionsOrientation = None
        self.formHidden = None
        self.assign_values(array_values)

    def assign_values(self,array_values):
        if 'name' in array_values:
            self.name = array_values['name']
        if 'field' in array_values:
            self.field = array_values['field']
        if 'type' in array_values:
            self.type = array_values['type']
        if 'internal' in array_values:
            self.internal = array_values['internal']
        if 'selectionType' in array_values:
            self.selectionType = array_values['selectionType']
        if 'groupOptionsOrientation' in array_values:
            self.groupOptionsOrientation = array_values['groupOptionsOrientation']
        if 'options' in array_values:
            for result in array_values['options']:
                self.options.append(SubgroupResponse(result))
        if 'formHidden' in array_values:
            self.formHidden = array_values['formHidden']



